Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.RefreshMultiple Method (Int32)
Cursor Class See Also Send Feedback

Store the key/data pair to which the cursor refers and as many duplicate data items that can fit in a buffer the size of BufferSize in CurrentMultiple.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool RefreshMultiple(
    	int BufferSize
    )

Visual Basic (Declaration)
    Public Function RefreshMultiple ( _
    	BufferSize As Integer _
    ) As Boolean

Visual C++
    public:
    bool RefreshMultiple(
    	int BufferSize
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with duplicate data items. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
RefreshMultiple Overload
BerkeleyDB Namespace